#ifndef SRC_NARADA_XML_H_
#define SRC_NARADA_XML_H_

#include <klog.h>
#include <list>
#include <stdio.h>

#include "narada_battery.h"

class NaradaXML
{
   cKlog logger;

public:
   NaradaXML();
   virtual ~NaradaXML();

   std::list<NaradaBattery*> parse(const char *device_directory);
};

#endif /* SRC_NARADA_XML_H_ */
